Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.boundedvm
Class TransientTopicBoundedMessageContainer

    java.lang.Object
      org.codehaus.activemq.service.boundedvm.TransientTopicBoundedMessageContainer

All Implemented Interfaces:
  java.lang.Runnable, Service

public class TransientTopicBoundedMessageContainer
extends java.lang.Object
implements Service, java.lang.Runnable

A MessageContainer for transient topics One of these exists for every active Connection consuming transient Topic messages

Version:
  $Revision: 1.2 $

Constructor Summary
`TransientTopicBoundedMessageContainer(BrokerClient client, BoundedPacketQueue queue)` Construct this beast

Method Summary
`void` | `addConsumer(Filter filter, ConsumerInfo info)` Add a consumer to dispatch messages to
`void` | `close()` close down this container
`boolean` | `isInactive()`
`void` | `removeConsumer(ConsumerInfo info)` Remove a consumer
`void` | `run()` do some dispatching
`void` | `start()` start working
`void` | `stop()` stop working
`boolean` | `targetAndDispatch(ActiveMQMessage message)` See if this container should get this message and dispatch it

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientTopicBoundedMessageContainer

    public TransientTopicBoundedMessageContainer(BrokerClient client,
                                                 BoundedPacketQueue queue)

  Construct this beast

Parameters:
  `client` -
  `queue` -

Method Detail

### isInactive

    public boolean isInactive()

  Returns:
    true if this Container has no active subscriptions

### addConsumer

    public void addConsumer(Filter filter,
                            ConsumerInfo info)

  Add a consumer to dispatch messages to

  Parameters:
    `filter` -
    `info` -

### removeConsumer

    public void removeConsumer(ConsumerInfo info)

  Remove a consumer

  Parameters:
    `info` -

### start

    public void start()

  start working

  Specified by:
    `start` in interface `Service`

### targetAndDispatch

    public boolean targetAndDispatch(ActiveMQMessage message)
                              throws JMSException

  See if this container should get this message and dispatch it

  Parameters:
    `message` -
  Returns:
    true if it is a valid container
  Throws:
    `JMSException`

### stop

    public void stop()

  stop working

  Specified by:
    `stop` in interface `Service`

### close

    public void close()

  close down this container

### run

    public void run()

  do some dispatching

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.